Package com.sas.lsaf.workflow.processflow

## Class ProcessFlowCopyInfo

- java.lang.Object
- - com.sas.lsaf.workflow.processflow.ProcessFlowCopyInfo

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ProcessFlowCopyInfo
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents the options and details to copy a process flow.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProcessFlowCopyInfo()` | Constructor.
    `ProcessFlowCopyInfo​(java.lang.String name, java.lang.String sourceProcessFlowId)` | Constructor.
    `ProcessFlowCopyInfo​(java.lang.String name, java.lang.String sourceProcessFlowId, boolean useSourceOwner, boolean includeAttachments, boolean includeProcessData, boolean activate)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` | Gets the name of the process flow.
    `java.lang.String` | `getSourceProcessFlowId()` | Gets the identifier of the process flow to copy.
    `boolean` | `isActivate()` | Indicates whether the copied process flow is activated.
    `boolean` | `isIncludeAttachments()` | Indicates whether to include the attachments of the source process flow with the copied process flow.
    `boolean` | `isIncludeProcessData()` | Indicates whether to include the process data variables with their current values in the copied process flow.
    `boolean` | `isUseSourceOwner()` | Indicates whether to specify that the owner of the copy of the process flow is the same as the owner of the source process flow.
    `void` | `setActivate​(boolean activate)` | Sets whether the copied process flow is activated.
    `void` | `setIncludeAttachments​(boolean includeAttachments)` | Sets whether to include the attachments of the source process flow with the copied process flow.
    `void` | `setIncludeProcessData​(boolean includeProcessData)` | Sets whether to include the process data variables with their current values in the copied process flow.
    `void` | `setName​(java.lang.String name)` | Sets the name of the process flow.
    `void` | `setSourceProcessFlowId​(java.lang.String sourceProcessFlowId)` | Sets the identifier of the process flow to copy.
    `void` | `setUseSourceOwner​(boolean useSourceOwner)` | Sets whether to specify that the owner of the copy of the process flow is the same as the owner of the source process flow.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ProcessFlowCopyInfo

          public ProcessFlowCopyInfo()

      Constructor.

    - #### ProcessFlowCopyInfo

          public ProcessFlowCopyInfo​(java.lang.String name,
                                     java.lang.String sourceProcessFlowId)

      Constructor.
      Parameters:
        `name` - The name of process flow.
        `sourceProcessFlowId` - The identifier of the process flow to copy.

    - #### ProcessFlowCopyInfo

          public ProcessFlowCopyInfo​(java.lang.String name,
                                     java.lang.String sourceProcessFlowId,
                                     boolean useSourceOwner,
                                     boolean includeAttachments,
                                     boolean includeProcessData,
                                     boolean activate)

      Constructor.
      Parameters:
        `name` - The name of the process flow to copy.
        `sourceProcessFlowId` - The identifier of the process flow to copy.
        `useSourceOwner` - Indicates whether to specify the owner of the source process flow as the owner of the copied process flow.
        `includeAttachments` - Indicates whether to include the attachments of the source process flow with the copied process flow.
        `includeProcessData` - Indicates whether to include the process data and its values of the source process flow with the copied process flow.
        `activate` - Indicates whether the copied process flow is activated.

  - ### Method Detail

    - #### isActivate

          public boolean isActivate()

      Indicates whether the copied process flow is activated. The default is false.
      Returns:
        The value that indicates whether the copied process flow is activated.

    - #### setActivate

          public void setActivate​(boolean activate)

      Sets whether the copied process flow is activated. Default is false.
      Parameters:
        `activate` - Whether the copied process flow is activated. The default is false.

    - #### isIncludeAttachments

          public boolean isIncludeAttachments()

      Indicates whether to include the attachments of the source process flow with the copied process flow. The default is false.
      Returns:
        Whether to include the attachments of the source process flow with the copied process flow. The default is false.

    - #### setIncludeAttachments

          public void setIncludeAttachments​(boolean includeAttachments)

      Sets whether to include the attachments of the source process flow with the copied process flow. The default is false.
      Parameters:
        `includeAttachments` - Whether to include the attachments of the source process flow with the copied process flow. The default is false.

    - #### isIncludeProcessData

          public boolean isIncludeProcessData()

      Indicates whether to include the process data variables with their current values in the copied process flow. The default is false. If false, the process data variables in the copied process flow have the default values.
      Returns:
        Whether to include the process data variables with their current values in the copied process flow.

    - #### setIncludeProcessData

          public void setIncludeProcessData​(boolean includeProcessData)

      Sets whether to include the process data variables with their current values in the copied process flow. The default is false. If false, the process data variables in the copied process flow will have the default values.
      Parameters:
        `includeProcessData` - Whether to include the process data variables with their current values in the copied process flow.

    - #### getName

          public java.lang.String getName()

      Gets the name of the process flow.
      Returns:
        The name.

    - #### setName

          public void setName​(java.lang.String name)

      Sets the name of the process flow.
      Parameters:
        `name` - The name.

    - #### getSourceProcessFlowId

          public java.lang.String getSourceProcessFlowId()

      Gets the identifier of the process flow to copy.
      Returns:
        The identifier.

    - #### setSourceProcessFlowId

          public void setSourceProcessFlowId​(java.lang.String sourceProcessFlowId)

      Sets the identifier of the process flow to copy.
      Parameters:
        `sourceProcessFlowId` - The identifier.

    - #### isUseSourceOwner

          public boolean isUseSourceOwner()

      Indicates whether to specify that the owner of the copy of the process flow is the same as the owner of the source process flow. The default is false. If false, the current user will be the owner of the process flow copy.
      Returns:
        Whether to specify the owner of the copy of the process flow is the same as the current process flow.

    - #### setUseSourceOwner

          public void setUseSourceOwner​(boolean useSourceOwner)

      Sets whether to specify that the owner of the copy of the process flow is the same as the owner of the source process flow.
      Parameters:
        `useSourceOwner` - Whether to specify the owner of the copy of the process flow the same as the owner of the process flow. The default is false. If false, the current user is the owner of the process flow copy.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`